

.header-section {
    opacity: 0; 
    transform: translateY(20px); 
    animation: fadeIn 1s ease-out forwards;
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}


.animated-heading {
    text-align: center;
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 1.5s ease-out, transform 1.5s ease-out;
}


.animated-heading.show {
    opacity: 1;
    transform: translateY(0);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box; 
}

body {
    font-family: 'Poppins', sans-serif;
    margin: 0;
    padding: 0;
    overflow-x: hidden; 
    max-width: 100vw;
}


.navbar {
  background-color: #02264b;
  border-bottom: 5px solid #fff;
  color: #fff;
  color: white;
  padding: 20px 40px;
  position: fixed;
  width: 100%;
  top: 0;
  z-index: 999;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.navbar-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
}

.navbar-logo {
  height: 40px; /* Adjust based on your logo size */
  margin-left: 10px;
  max-height: max-content;
 
}

.menu-desktop {
  display: flex;
  gap: 30px;
  align-items: center;
}

.menu-desktop a {
  text-decoration: none;
  color: rgb(255, 255, 255);
}

.menu-desktop .divider {
  color: rgba(255, 255, 255, 0.308);
}

.auth-buttons {
  display: flex;
  gap: 10px;

}

.login-btn, .signup-btn {
 text-decoration: none;
  padding: 8px 15px;
  border-radius: 5px;
  font-size: 14px;
  white-space: nowrap;


}

.login-btn {
  background-color: #0269d1;
  border: 1px solid #0269d1;;
  color: #fff;

}

.signup-btn {
  background-color: #ffffff00;
  border: 1px solid #ffffff;
  color: #ffffff;
}

.menu-toggle {
  display: none;
  cursor: pointer;
}

.kebab {
  font-size: 30px;
  padding-right: 10px;
  max-height: max-content;
}

.menu-mobile {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  right: 0;
  background-color: black;
  flex-direction: column;
  padding: 20px;
}

.menu-mobile a {
  text-decoration: none;
  color: white;
  padding: 10px 0;
  display: block;
}

/* Responsive Design */
@media (max-width: 768px) {
  .navbar {
  padding: 10px 10px;

}
  .menu-desktop {
    display: none;
  }
  .menu-toggle {
    display: block;
  }
  .auth-buttons {
    gap: 5px;
    max-height: max-content;
  }
  .login-btn, .signup-btn {
    padding: 6px 10px;
    font-size: 14px;
  }
  .menu-mobile {
    display: none;
  }
  .navbar-logo {
    margin-right: 10px;
    height: 30px;
  }
  .menu-toggle.active + .menu-mobile {
    display: flex;
  }
}







.container {
    overflow: hidden;
    max-width: 100%;
    width: 100%;
    max-width: 1200px; 
    margin: auto; 
}
* {
    box-sizing: border-box;
}
img, video {
    max-width: 100%;
    height: auto;
    display: block;
}
.flex-container {
    display: flex;
    flex-wrap: wrap; 
}

.header-section {
    background: url('../img/img04.jpg') no-repeat center center/cover;
    height: 300px;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: #fff;
    padding: 0 20px;
    width: 100%;
    max-width: 100vw;
    box-sizing: border-box;
}

.header-section::before {
    content: "";
    position: absolute;
    top: 0; 
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.726); 
}

.header-content {
    position: relative;
    z-index: 1;
    padding: 20px;
    width: 100%;
    max-width: 500px; 
}

.header-content h1 {
    margin: 0;
    font-size: 2rem; 
}

.header-content p {
    margin-top: 10px;
    font-size: 1rem;
}



.filters {
    display: flex;
    flex-direction: column;
    gap: 10px;
    max-width: 350px;
    margin: 0 auto;
    width: 100%;
}

.filters select, .filters button {
    width: 90%;
    padding: 12px 15px;
    border: 2px solid #004aad;
    border-radius: 10px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    margin: auto;
}

.filters button {
    background-color: #004aad;
    color: #fff;
    cursor: pointer;
    font-weight: 600;
    transition: background 0.3s ease;
}

.filters button:hover {
    background-color: #00337a;
}

.gns {
    text-align: center;
    margin: 25px auto;
   }

.gns h2 {
    font-size: 1.7em;
    color: rgb(0, 0, 0);
    margin-bottom: 5px;
}

.search-container {
    margin: 15px auto;
    text-align: center;
}

.search-input {
    width: 70%;
    max-width: 400px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 20px;
    font-size: 16px;
}

.card-container {
    display: flex;
    flex-wrap: wrap; 
    justify-content: center; 
    align-items: center;
    gap: 5px; 
    max-width: 90vw; 
    margin: auto;
}
.card {
    width: 300px;
    margin: 20px ;
    background: #f5f5f5;
    padding: 15px;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    gap: 25px;
}

.card-footer {
    display: flex;
    justify-content: space-between;
    align-items: baseline; 
}

.title {
    margin: 0;
    font-size: large;
    font-weight: bold;
}

.title span {
    font-weight: normal;
    line-height: 13px;
    font-size: small;
    color: #555;
    display: inline-block;
    margin-top: -10px; 
}

.btn {
    display: inline-block;
    background: rgb(1, 67, 128);
    margin-top: 5px;
    color: white;
    border: none;
    padding-top: 8px 16px;
    border-radius: 5px;
    cursor: pointer;
    font-size: 14px;
}

.card button:hover {
    background: rgb(1, 32, 90);
}


.button-container {
    display: flex;
    gap: 10px;
    align-items: center;
}

.btn {
    display: inline-block;
    padding: 8px 16px;
    background-color: #054ab3;
    color: white;
    border-radius: 5px;
    text-decoration: none;
    font-weight: bold;
}


.btn:hover {
    background: #01367c;
    color: white;
}

.long-btn {
    background-color: #000000ab;
    color: #ffffff;
    border-radius: 25px;
    padding: 10px 20px;
    margin: auto;
}
.long-btn:hover {
    background: #004aad;
    color: white;
}

.feedback {
    padding: 40px 10%;
    background-color: #323333;
    text-align: center;
    position: relative;
    z-index: 10;
    width: 100%;
}

.feedback h6 {
    font-size: 2em;
    color: white;
    margin-bottom: 5px;
}

.feedback p {
    font-size:large;
    color: #c8c8ca;
}
.feedback a {
    color: #f7dc48;
    text-decoration: none; 
    margin-top: auto;
}


.feedback a:hover {
    color: rgb(248, 238, 181);
}

.donation-section {
    text-align: center;
    padding: 20px;
    margin: 20px auto;
    border-radius: 8px;
    max-width: 500px;
}

.donation-section h3 {
    color: #05214b;
    font-size: 20px;
}

.donation-section p {
    font-size: small;
    color: #3b4253;
}

.donate-btn {
    display: inline-block;
    padding: 10px 20px;
    background: #02264b;
    color: #ffffff;
    text-decoration: none;
    border-radius: 25px;
    font-weight: bold;
    margin-top: 10px;
}

.donate-btn:hover {
    background: #0b325a;
    color: #ffffff;
}

.footer {
    margin-top: 50px;
    padding: 20px;
    background: rgba(0, 0, 0, 0.993);
    color: #ffffff;
    font-size: small;
    text-align: center;
    width: 100%;
}
a {
    color: rgb(128, 126, 126); 
    text-decoration: none; 
    margin-top: auto;
}


a:hover {
    color: rgb(68, 67, 67);
}
footer p {
    margin: 0;
}


  
  
@media (max-width: 768px) {
    .container {
        padding: 10px;
    }

    .filters {
        flex-direction: column;
    }
}
    .header-content {
        padding: 15px;
    }

    .header-content h1 {
        font-size: 1.5rem;
    }

    .header-content p {
        font-size: 0.9rem;
    }
